Update GeSHi to 1.0.8.10 on Wikimedia
Closed, ResolvedPublic

Description

Author: protonk

Description:
Attempting to highlight syntax for the R programming language in wikipedia using Extension:SyntaxHighlight GeSHi results in the following error:

GeSHi Error: GeSHi could not find the language rsplus (using path /usr/local/apache/common-local/wmf-deployment/lib/GeSHi-1.0.8.4/geshi/) (code 2)

The error also lists a number of supported languages (rsplus not among them). The error can be recreated by going to the following file page on wikipedia (http://en.wikipedia.org/wiki/File:First_order_hsked.png) and removing the comments.

I don't know if this is an error in the mediawiki site (as in, R/S+ is not a supported language), or we have the wrong revision installed (but I think the listed langauges on the mediawiki page are for 1.0.8), or because of another local problem.

On a political note, R is Free software, so for our stats and econ articles if we include code it would be better for FOSS to use R as opposed to SAS. That's a minor point though.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz24383.
bzimport created this task.Via LegacyJul 15 2010, 2:52 AM
MaxSem added a comment.Via ConduitJul 15 2010, 9:31 AM
  • Bug 24384 has been marked as a duplicate of this bug. ***
MaxSem added a comment.Via ConduitJul 15 2010, 9:32 AM

Updated to GeSHi 1.0.8.8 which supports rsplus in r69378. Will take some time to get it pushed to the cluster.

Raymond added a comment.Via ConduitJan 11 2011, 8:44 PM
  • Bug 26671 has been marked as a duplicate of this bug. ***
Raymond added a comment.Via ConduitJan 11 2011, 8:45 PM

Subject changed to to 1.0.8.9 per bug 26671.

Reedy added a comment.Via ConduitJan 11 2011, 8:59 PM

This will just happen as a matter of course in the next big code update to the site...

bzimport added a comment.Via ConduitJan 12 2011, 9:15 AM

Juergen.Thomas wrote:

When will this happen? We are waiting for half a year at least...

demon added a comment.Via ConduitJan 12 2011, 9:17 AM

(In reply to comment #5)

This will just happen as a matter of course in the next big code update to the
site...

Not true. WMF GeSHi does not use the svn:external.

Reedy added a comment.Via ConduitFeb 22 2011, 10:50 PM
  • Bug 27569 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitMar 25 2011, 10:07 PM

benni.buch wrote:

The "next big code update" has been released and GeSHi was not part of it. Please update now, we need the new version for some projects on german Wikibooks.

Reedy added a comment.Via ConduitMar 25 2011, 10:09 PM

The SVN external for GeSHi is done seperately, hence not being in the "last big code update"

hashar added a comment.Via ConduitMay 14 2011, 10:16 AM

Tagging for bugsmashing. This bug is already too old and easy to fix.

Reedy added a comment.Via ConduitMay 14 2011, 2:09 PM

Done

hashar added a comment.Via ConduitMay 14 2011, 9:58 PM

Thanks Reedy for having taken care of this bug!

Add Comment